import { render } from 'preact';
import { SpellChecker } from './spellChecker';

import './style.css';

export function App() {
    return (
        <>
            <h1>Spell checker</h1>
            <SpellChecker />
        </>
    );
}

const app = document.getElementById('app');
if (app) {
    render(<App />, app);
} else {
    console.error('Cannot find app container');
}
